FsImageProto.NameSystemSection.Builder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: NameSystemSection, class: Builder

Package org.apache.hadoop.hdfs.server.namenode

# Class FsImageProto.NameSystemSection.Builder

java.lang.Object
org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder
org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<BuilderT>
org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder>
org.apache.hadoop.hdfs.server.namenode.FsImageProto.NameSystemSection.Builder

All Implemented Interfaces:
  `Cloneable`, `FsImageProto.NameSystemSectionOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.Message.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`, `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

Enclosing class:
  FsImageProto.NameSystemSection

public static final class FsImageProto.NameSystemSection.Builder extends org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder> implements FsImageProto.NameSystemSectionOrBuilder

     Name: NS_INFO

Protobuf type `hadoop.hdfs.fsimage.NameSystemSection`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FsImageProto.NameSystemSection.Builder`
  `addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.NameSystemSection`
  `build()`
  `FsImageProto.NameSystemSection`
  `buildPartial()`
  `FsImageProto.NameSystemSection.Builder`
  `clear()`
  `FsImageProto.NameSystemSection.Builder`
  `clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)`
  `FsImageProto.NameSystemSection.Builder`
  `clearGenstampV1()`
  legacy generation stamp
  `FsImageProto.NameSystemSection.Builder`
  `clearGenstampV1Limit()`
  `optional uint64 genstampV1Limit = 4;`
  `FsImageProto.NameSystemSection.Builder`
  `clearGenstampV2()`
  generation stamp of latest version
  `FsImageProto.NameSystemSection.Builder`
  `clearLastAllocatedBlockId()`
  `optional uint64 lastAllocatedBlockId = 5;`
  `FsImageProto.NameSystemSection.Builder`
  `clearLastAllocatedStripedBlockId()`
  `optional uint64 lastAllocatedStripedBlockId = 8;`
  `FsImageProto.NameSystemSection.Builder`
  `clearNamespaceId()`
  `optional uint32 namespaceId = 1;`
  `FsImageProto.NameSystemSection.Builder`
  `clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)`
  `FsImageProto.NameSystemSection.Builder`
  `clearRollingUpgradeStartTime()`
  `optional uint64 rollingUpgradeStartTime = 7;`
  `FsImageProto.NameSystemSection.Builder`
  `clearTransactionId()`
  `optional uint64 transactionId = 6;`
  `FsImageProto.NameSystemSection.Builder`
  `clone()`
  `FsImageProto.NameSystemSection`
  `getDefaultInstanceForType()`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor`
  `getDescriptorForType()`
  `long`
  `getGenstampV1()`
  legacy generation stamp
  `long`
  `getGenstampV1Limit()`
  `optional uint64 genstampV1Limit = 4;`
  `long`
  `getGenstampV2()`
  generation stamp of latest version
  `long`
  `getLastAllocatedBlockId()`
  `optional uint64 lastAllocatedBlockId = 5;`
  `long`
  `getLastAllocatedStripedBlockId()`
  `optional uint64 lastAllocatedStripedBlockId = 8;`
  `int`
  `getNamespaceId()`
  `optional uint32 namespaceId = 1;`
  `long`
  `getRollingUpgradeStartTime()`
  `optional uint64 rollingUpgradeStartTime = 7;`
  `long`
  `getTransactionId()`
  `optional uint64 transactionId = 6;`
  `boolean`
  `hasGenstampV1()`
  legacy generation stamp
  `boolean`
  `hasGenstampV1Limit()`
  `optional uint64 genstampV1Limit = 4;`
  `boolean`
  `hasGenstampV2()`
  generation stamp of latest version
  `boolean`
  `hasLastAllocatedBlockId()`
  `optional uint64 lastAllocatedBlockId = 5;`
  `boolean`
  `hasLastAllocatedStripedBlockId()`
  `optional uint64 lastAllocatedStripedBlockId = 8;`
  `boolean`
  `hasNamespaceId()`
  `optional uint32 namespaceId = 1;`
  `boolean`
  `hasRollingUpgradeStartTime()`
  `optional uint64 rollingUpgradeStartTime = 7;`
  `boolean`
  `hasTransactionId()`
  `optional uint64 transactionId = 6;`
  `protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `FsImageProto.NameSystemSection.Builder`
  `mergeFrom(FsImageProto.NameSystemSection other)`
  `FsImageProto.NameSystemSection.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry)`
  `FsImageProto.NameSystemSection.Builder`
  `mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)`
  `final FsImageProto.NameSystemSection.Builder`
  `mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`
  `FsImageProto.NameSystemSection.Builder`
  `setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)`
  `FsImageProto.NameSystemSection.Builder`
  `setGenstampV1(long value)`
  legacy generation stamp
  `FsImageProto.NameSystemSection.Builder`
  `setGenstampV1Limit(long value)`
  `optional uint64 genstampV1Limit = 4;`
  `FsImageProto.NameSystemSection.Builder`
  `setGenstampV2(long value)`
  generation stamp of latest version
  `FsImageProto.NameSystemSection.Builder`
  `setLastAllocatedBlockId(long value)`
  `optional uint64 lastAllocatedBlockId = 5;`
  `FsImageProto.NameSystemSection.Builder`
  `setLastAllocatedStripedBlockId(long value)`
  `optional uint64 lastAllocatedStripedBlockId = 8;`
  `FsImageProto.NameSystemSection.Builder`
  `setNamespaceId(int value)`
  `optional uint32 namespaceId = 1;`
  `FsImageProto.NameSystemSection.Builder`
  `setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
  `FsImageProto.NameSystemSection.Builder`
  `setRollingUpgradeStartTime(long value)`
  `optional uint64 rollingUpgradeStartTime = 7;`
  `FsImageProto.NameSystemSection.Builder`
  `setTransactionId(long value)`
  `optional uint64 transactionId = 6;`
  `final FsImageProto.NameSystemSection.Builder`
  `setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class org.apache.hadoop.thirdparty.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.Message.Builder

  `mergeDelimitedFrom, mergeDelimitedFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder>`

  - ### clear

    public FsImageProto.NameSystemSection.Builder clear()
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder>`

  - ### getDescriptorForType

    public org.apache.hadoop.thirdparty.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder>`

  - ### getDefaultInstanceForType

    public FsImageProto.NameSystemSection getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

  - ### build

    public FsImageProto.NameSystemSection build()
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `build` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### buildPartial

    public FsImageProto.NameSystemSection buildPartial()
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`

  - ### clone

    public FsImageProto.NameSystemSection.Builder clone()
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder>`

  - ### setField

    public FsImageProto.NameSystemSection.Builder setField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `setField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder>`

  - ### clearField

    public FsImageProto.NameSystemSection.Builder clearField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder>`

  - ### clearOneof

    public FsImageProto.NameSystemSection.Builder clearOneof(org.apache.hadoop.thirdparty.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder>`

  - ### setRepeatedField

    public FsImageProto.NameSystemSection.Builder setRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, int index, Object value)
    Specified by:
      `setRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder>`

  - ### addRepeatedField

    public FsImageProto.NameSystemSection.Builder addRepeatedField(org.apache.hadoop.thirdparty.protobuf.Descriptors.FieldDescriptor field, Object value)
    Specified by:
      `addRepeatedField` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder>`

  - ### mergeFrom

    public FsImageProto.NameSystemSection.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.NameSystemSection.Builder>`

  - ### mergeFrom

    public FsImageProto.NameSystemSection.Builder mergeFrom(FsImageProto.NameSystemSection other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder>`

  - ### mergeFrom

    public FsImageProto.NameSystemSection.Builder mergeFrom(org.apache.hadoop.thirdparty.protobuf.CodedInputStream input, org.apache.hadoop.thirdparty.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `org.apache.hadoop.thirdparty.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `org.apache.hadoop.thirdparty.protobuf.AbstractMessage.Builder<FsImageProto.NameSystemSection.Builder>`
    Throws:
      `IOException`

  - ### hasNamespaceId

    public boolean hasNamespaceId()
    `optional uint32 namespaceId = 1;`
    Specified by:
      `hasNamespaceId` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      Whether the namespaceId field is set.

  - ### getNamespaceId

    public int getNamespaceId()
    `optional uint32 namespaceId = 1;`
    Specified by:
      `getNamespaceId` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      The namespaceId.

  - ### setNamespaceId

    public FsImageProto.NameSystemSection.Builder setNamespaceId(int value)
    `optional uint32 namespaceId = 1;`
    Parameters:
      `value` - The namespaceId to set.
    Returns:
      This builder for chaining.

  - ### clearNamespaceId

    public FsImageProto.NameSystemSection.Builder clearNamespaceId()
    `optional uint32 namespaceId = 1;`
    Returns:
      This builder for chaining.

  - ### hasGenstampV1

    public boolean hasGenstampV1()

         legacy generation stamp

    `optional uint64 genstampV1 = 2;`
    Specified by:
      `hasGenstampV1` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      Whether the genstampV1 field is set.

  - ### getGenstampV1

    public long getGenstampV1()

         legacy generation stamp

    `optional uint64 genstampV1 = 2;`
    Specified by:
      `getGenstampV1` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      The genstampV1.

  - ### setGenstampV1

    public FsImageProto.NameSystemSection.Builder setGenstampV1(long value)

         legacy generation stamp

    `optional uint64 genstampV1 = 2;`
    Parameters:
      `value` - The genstampV1 to set.
    Returns:
      This builder for chaining.

  - ### clearGenstampV1

    public FsImageProto.NameSystemSection.Builder clearGenstampV1()

         legacy generation stamp

    `optional uint64 genstampV1 = 2;`
    Returns:
      This builder for chaining.

  - ### hasGenstampV2

    public boolean hasGenstampV2()

         generation stamp of latest version

    `optional uint64 genstampV2 = 3;`
    Specified by:
      `hasGenstampV2` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      Whether the genstampV2 field is set.

  - ### getGenstampV2

    public long getGenstampV2()

         generation stamp of latest version

    `optional uint64 genstampV2 = 3;`
    Specified by:
      `getGenstampV2` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      The genstampV2.

  - ### setGenstampV2

    public FsImageProto.NameSystemSection.Builder setGenstampV2(long value)

         generation stamp of latest version

    `optional uint64 genstampV2 = 3;`
    Parameters:
      `value` - The genstampV2 to set.
    Returns:
      This builder for chaining.

  - ### clearGenstampV2

    public FsImageProto.NameSystemSection.Builder clearGenstampV2()

         generation stamp of latest version

    `optional uint64 genstampV2 = 3;`
    Returns:
      This builder for chaining.

  - ### hasGenstampV1Limit

    public boolean hasGenstampV1Limit()
    `optional uint64 genstampV1Limit = 4;`
    Specified by:
      `hasGenstampV1Limit` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      Whether the genstampV1Limit field is set.

  - ### getGenstampV1Limit

    public long getGenstampV1Limit()
    `optional uint64 genstampV1Limit = 4;`
    Specified by:
      `getGenstampV1Limit` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      The genstampV1Limit.

  - ### setGenstampV1Limit

    public FsImageProto.NameSystemSection.Builder setGenstampV1Limit(long value)
    `optional uint64 genstampV1Limit = 4;`
    Parameters:
      `value` - The genstampV1Limit to set.
    Returns:
      This builder for chaining.

  - ### clearGenstampV1Limit

    public FsImageProto.NameSystemSection.Builder clearGenstampV1Limit()
    `optional uint64 genstampV1Limit = 4;`
    Returns:
      This builder for chaining.

  - ### hasLastAllocatedBlockId

    public boolean hasLastAllocatedBlockId()
    `optional uint64 lastAllocatedBlockId = 5;`
    Specified by:
      `hasLastAllocatedBlockId` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      Whether the lastAllocatedBlockId field is set.

  - ### getLastAllocatedBlockId

    public long getLastAllocatedBlockId()
    `optional uint64 lastAllocatedBlockId = 5;`
    Specified by:
      `getLastAllocatedBlockId` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      The lastAllocatedBlockId.

  - ### setLastAllocatedBlockId

    public FsImageProto.NameSystemSection.Builder setLastAllocatedBlockId(long value)
    `optional uint64 lastAllocatedBlockId = 5;`
    Parameters:
      `value` - The lastAllocatedBlockId to set.
    Returns:
      This builder for chaining.

  - ### clearLastAllocatedBlockId

    public FsImageProto.NameSystemSection.Builder clearLastAllocatedBlockId()
    `optional uint64 lastAllocatedBlockId = 5;`
    Returns:
      This builder for chaining.

  - ### hasTransactionId

    public boolean hasTransactionId()
    `optional uint64 transactionId = 6;`
    Specified by:
      `hasTransactionId` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      Whether the transactionId field is set.

  - ### getTransactionId

    public long getTransactionId()
    `optional uint64 transactionId = 6;`
    Specified by:
      `getTransactionId` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      The transactionId.

  - ### setTransactionId

    public FsImageProto.NameSystemSection.Builder setTransactionId(long value)
    `optional uint64 transactionId = 6;`
    Parameters:
      `value` - The transactionId to set.
    Returns:
      This builder for chaining.

  - ### clearTransactionId

    public FsImageProto.NameSystemSection.Builder clearTransactionId()
    `optional uint64 transactionId = 6;`
    Returns:
      This builder for chaining.

  - ### hasRollingUpgradeStartTime

    public boolean hasRollingUpgradeStartTime()
    `optional uint64 rollingUpgradeStartTime = 7;`
    Specified by:
      `hasRollingUpgradeStartTime` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      Whether the rollingUpgradeStartTime field is set.

  - ### getRollingUpgradeStartTime

    public long getRollingUpgradeStartTime()
    `optional uint64 rollingUpgradeStartTime = 7;`
    Specified by:
      `getRollingUpgradeStartTime` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      The rollingUpgradeStartTime.

  - ### setRollingUpgradeStartTime

    public FsImageProto.NameSystemSection.Builder setRollingUpgradeStartTime(long value)
    `optional uint64 rollingUpgradeStartTime = 7;`
    Parameters:
      `value` - The rollingUpgradeStartTime to set.
    Returns:
      This builder for chaining.

  - ### clearRollingUpgradeStartTime

    public FsImageProto.NameSystemSection.Builder clearRollingUpgradeStartTime()
    `optional uint64 rollingUpgradeStartTime = 7;`
    Returns:
      This builder for chaining.

  - ### hasLastAllocatedStripedBlockId

    public boolean hasLastAllocatedStripedBlockId()
    `optional uint64 lastAllocatedStripedBlockId = 8;`
    Specified by:
      `hasLastAllocatedStripedBlockId` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      Whether the lastAllocatedStripedBlockId field is set.

  - ### getLastAllocatedStripedBlockId

    public long getLastAllocatedStripedBlockId()
    `optional uint64 lastAllocatedStripedBlockId = 8;`
    Specified by:
      `getLastAllocatedStripedBlockId` in interface `FsImageProto.NameSystemSectionOrBuilder`
    Returns:
      The lastAllocatedStripedBlockId.

  - ### setLastAllocatedStripedBlockId

    public FsImageProto.NameSystemSection.Builder setLastAllocatedStripedBlockId(long value)
    `optional uint64 lastAllocatedStripedBlockId = 8;`
    Parameters:
      `value` - The lastAllocatedStripedBlockId to set.
    Returns:
      This builder for chaining.

  - ### clearLastAllocatedStripedBlockId

    public FsImageProto.NameSystemSection.Builder clearLastAllocatedStripedBlockId()
    `optional uint64 lastAllocatedStripedBlockId = 8;`
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final FsImageProto.NameSystemSection.Builder setUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder>`

  - ### mergeUnknownFields

    public final FsImageProto.NameSystemSection.Builder mergeUnknownFields(org.apache.hadoop.thirdparty.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `org.apache.hadoop.thirdparty.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `org.apache.hadoop.thirdparty.protobuf.GeneratedMessageV3.Builder<FsImageProto.NameSystemSection.Builder>`